Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::SCDimension Class Reference

The SCDimension class is used to determine the size and blocking of matrices. More...

`#include <dim.h>`

Inheritance diagram for sc::SCDimension

[legend]
Collaboration diagram for sc::SCDimension:

[legend]
List of all members.

## Public Methods
| SCDimension (int n, const char *name=0)
| Create a dimension with an optional name. More...
| SCDimension (const Ref< SCBlockInfo > &, const char *name=0)
| SCDimension (int n, int nblocks, const int *blocksizes=0, const char *name=0)
| SCDimension (const Ref< KeyVal > &)
| The KeyVal constructor. More...
| SCDimension (StateIn &s)
| ~SCDimension ()
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
int | equiv (const SCDimension *) const
| Test to see if two dimensions are equivalent.
int | n () const
| Return the dimension.
const char* | name () const
| Return the name of the dimension. More...
Ref<SCBlockInfo> | blocks ()
| Return the blocking information for this dimension.
void | print (std::ostream &o=ExEnv::out0()) const
| Print information about this dimension to o.
## Protected Methods
| SCDimension (const char *name=0)
## Protected Attributes
char* | name_
int | n_
Ref<SCBlockInfo> | blocks_

## Detailed Description

The SCDimension class is used to determine the size and blocking of matrices.

The blocking information is stored by an object of class SCBlockInfo.

## Constructor & Destructor Documentation

sc::SCDimension::SCDimension ( | int n,
| const char * name = 0 )

| Create a dimension with an optional name. The name is a copy of the '0' terminated string name.

sc::SCDimension::SCDimension ( | const Ref< KeyVal > & )

| The KeyVal constructor. `n` This gives size of the dimension. One of n or blocks is required. `blocks` The block information for the dimension can be given as a SCBlockInfo object. One of n or blocks is required.

## Member Function Documentation

const char * sc::SCDimension::name ( | ) const`[inline]`

| Return the name of the dimension. If no name was given to the constructor, then return 0.

void sc::SCDimension::save_data_state ( | StateOut & s )`[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::SavableState.

The documentation for this class was generated from the following file:

- dim.h